using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CannonControls : MonoBehaviour
{
    [SerializeField] private GameObject projectile;
    [SerializeField] private int shootingDelay;
    [SerializeField] private Collider[] cannonColliders;
    private int delay;
    private int framesLeftToShoot = 0; // the number of frames passed since last shot

    void Start()
    {
        delay = shootingDelay;
    }

    void Update()
    {
        if(Input.GetKey(KeyCode.Space))
        {
            Debug.Log(delay);
            if (framesLeftToShoot == 0)
            {
                // start shooting cannonballs
                GameObject childObject = Instantiate(projectile) as GameObject;
                foreach (Collider collider in cannonColliders)
                    Physics.IgnoreCollision(childObject.GetComponent<SphereCollider>(), collider, true);
                childObject.transform.parent = gameObject.transform;
                childObject.transform.localPosition = new Vector3(0, 0, 0);
                
                framesLeftToShoot = delay - 1;
                if(delay > (shootingDelay * 1) / 2)
                    delay--;
            }
            else
            {
                framesLeftToShoot--;
            }
        }
        if (Input.GetKeyUp(KeyCode.Space))
        {
            delay = shootingDelay;
            framesLeftToShoot = 0;
        }
    }
}
